Compute a route with fixed locationsAsk AIpost https://app-api.geposit.se/routing/routeRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramslocationsarray of objectsrequiredOrdered list of two or more locations. Each location is used to build the route.locations*ADD objectcostingstringenumrequiredThe costing model to use. Valid values include: auto, bicycle, bus, bikeshare, truck, hov, taxi, motor_scooter, motorcycle, multimodal, pedestrian.autobicyclebusbikesharetruckpedestrianAllowed:autobicyclebusbikesharetruckpedestriancosting_optionsobjectOptions specific to the chosen costing model. Each costing type has its own set of parameters.costing_options objectunitsstringenumOutput distance units. Acceptable values include miles (or mi) and kilometers (or km). Defaults to kilometers.mileskilometersmikmAllowed:mileskilometersmikmdirections_typestringenumDefaults to instructionsThe type of directions to return.nonemaneuversinstructionsAllowed:nonemaneuversinstructionsshape_formatstringenumDefaults to polyline6One of polyline6 (default), polyline5, geojson or no_shape.polyline6polyline5geojsonno_shapeAllowed:polyline6polyline5geojsonno_shapealternatesintegerNumber of alternate routes to attempt. Note that alternates are not supported on multipoint or time‑dependent requests.exclude_locationsarray of objectsArray of locations to exclude from the route. Each follows the same format as locations.exclude_locationsADD objectexclude_polygonsarray of arrays of numbersOne or multiple polygons defined as nested arrays of [lon, lat] coordinates. Roads intersecting these polygons will be avoided.exclude_polygonsADD array of numbersdate_timeobjectDate and time information. The "type" indicates whether the provided time is for departure, arrival, invariant, or current.date_time objectidstringOptional identifier for the route request.roundabout_exitsbooleanDefaults to trueIf true, include roundabout exit instructions.truefalseadmin_crossingsbooleanIf true, include administrative region crossings in the response.truefalseResponses 200Successful route response. 400Bad Request.Updated 11 months ago